The \EEHPCWG \EPAJSRM team identified all Top500 supercomputing
centers that we were aware of as using job scheduling and resource
management techniques to manage energy and power of large-scale
supercomputers.  Of the eleven centers that we initially identified,
nine centers agreed to participate in the survey described in this
paper while two centers declined due to security-related concerns.

The team was motivated by the desire to identify characteristics of
leading-edge centers that are using \EPAJSRM techniques, details af
the techniques, how the techniques are applied, and the impacts to
center operations.  To address these motivations, the team developed a
questionnaire consisting of eight questions focused on general site
description, the site's approach to energy and power aware job
scheduling and resource management, and a qualitative self-assessment
of the efficacy of the approach.  The responding sites provided
varying level of detail and follow-up interviews were conducted with
each site to supplement the responses for better comparability.
Although other papers have discussed these types of techniques
previously, we believe our work is valuable because it is, to the best
of our knowledge, the only effort to approach these centers directly
and in a cohesive manner.

The centers that participated in the survey were:
\begin{enumerate}
    \item RIKEN Center for Computational Science (RIKEN)
    \item Tokyo Institute of Technology (Tokyo Tech)
    \item Alternative Energies and Atomic Energy Commission (CEA)
    \item King Abdullah University of Science and Technology (Kaust)
    \item Leibniz Supercomputing Centre (LRZ)
    \item Science and Technology Facilities Council (STFC)
    \item Los Alamos and Sandia National Laboratories (Trinity)
    \item Consorzio Interuniversitario del Nord est Italiano Per il Calcolo Automatico (CINECA)
    \item Joint Center for Advanced High Performance Computing (JCAHPC)
\end{enumerate}

%% The questions can be grouped into 3 parts:
%% \begin{itemize}
%%     \item Site-description. (Motivation for \EPAJSRM, Description of
%%     HPC Systems, and Infrastructure (including Cooling), workloads,
%%     compute job statistics, scheduling goals.  \item Description of
%%     energy and power aware job scheduling and resource management
%%     capabilities. (Technique, components, deployment) \item Self
%%     assesment.
%% \end{itemize}

Broadly, the survey results reflect a variety of solutions that cater
to center-specific characteristics.  For example, one site was
motivated to develop an \EPAJSRM solution that incorporates a gas
turbine co-generation capability that can be invoked at times when the
cost of running the turbine is favorable in comparison to the cost of
purchasing power from the center's electricity service provider.
Another site was motivated by the desire to integrate fine-grained
power management runtime systems into scheduling decisions.  Overall,
a common thread among the approaches reported in the survey was that
centers are typically developing their solutions in collaboration with
system integrators or HPC-oriented software vendors.  In several
cases, these efforts are augmented by including various open source
software packages in order to leverage work taking place within the HPC
community.


% Note from Greg on August 25, 2018:
% I think the wording of this paragraph is very awkward.  It could be
% reworded, but the problem is I think we need to either not mention
% these areas directly or else talk about them in more detail in the
% next section.

%% These questions were afterwards analyzed, confronted and compared by the 
%% \EPAJSRM team:
%% The production deployment of the centers is applied in several areas:
%% Special queues for dedicated large jobs with several allocated days per month. 
%% Automatic emergency job-shutdown for jobs exceeding center total power limit. 
%% Power consumption estimators.
%% Timed automatic node bring-up and shut-down.
%% Low load Virtual Machine consolidation,  where applicable.
%% Idle node shutdown with scheduler feedback.
%% Energy metrics for users.
%% Manual power shifting between systems.
%% Static and dynamic power capping provided by system tools and schedulers.
%% Application-profiling for frequency, runtime and energy.
%% Administrator tools to set Scheduler optimization goal (energy to solution /
%% performance).
%% Collection of monitoring information with different granularity (in-band and 
%% out-of band).
%% General energy and power aware scheduling. 
